Bug 113451 - (TB0b15cc2f) redhat-control-network:302:hydrate:AttributeError: 'NoneType' object has no attribute 'clear'
redhat-control-network:302:hydrate:AttributeError: 'NoneType' object has no a...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
http://sleekcollar.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 19:44 EST by Ferindo Middleton Jr
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 08:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferindo Middleton Jr 2004-01-13 19:44:35 EST
Description of problem:
Unhandled Exception after using redhat-config-network

Version-Release number of selected component (if applicable):
1.3.10

How reproducible:
Occured while configuring etho card with GUI and particularly AFTER
adding Hosts on the Hosts tab

ALSO: "Activate device when computer starts" checkbox DOES NOT SAVE...
device won't automatically be activated on reboot

Steps to Reproduce:
1. Try to Add "Hosts" to the configuration GUI of etho device
2. Save and Close redhat-config-network
3.
  
Actual results:
"Exception occured popup windows saying:
Component: redhat-config-network
Version: 1.3.10
Summary: TB0b15cc2f redhat-control-network:302:hydrate:AttributeError:
'NoneType' object has no attribute 'clear'
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 426, in update_dialog
    self.hydrate()
  File "/usr/bin/redhat-control-network", line 302, in hydrate
    clist.clear()
AttributeError: 'NoneType' object has no attribute 'clear'

Local variables in innermost frame:
clist: None
self: <__main__.mainDialog instance at 0x8f14edc>
refresh: None


Expected results:
NULL - (not expecting any output from machine)

Additional info:
N/A

Note You need to log in before you can comment on or make changes to this bug.